package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 对应数据库表(tenant_entry_activites):
 */
public class TenantEntryActivities {

	public enum SuitableUser implements BaseEnum<String, SuitableUser> {
		NEW("NEW", "新手"), ALL("ALL", "全部");

		private String code;

		private String desc;

		SuitableUser(String code, String desc) {
			this.code = code;
			this.desc = desc;
		}

		@Override
		public String getCode() {
			return code;
		}

		public String getDesc() {
			return desc;
		}
	}

	/**  */
	private Integer id;

	/**  */
	private String name;

	/**  */
	private String coverImg;

	/**  */
	private String detail;

	private SuitableUser suitableUser;

	private String tag;

	/**  */
	private java.math.BigDecimal totalPrice;

	/**  */
	private java.math.BigDecimal discountPrice;

	private Integer purchaseMinutes;

	/**  */
	private Integer giveMinutes;

	/**  */
	private java.util.Date startDate;

	/**  */
	private java.util.Date endDate;

	/**  */
	private String condition;

	/**  */
	private Boolean delFlag;

	/**  */
	private java.util.Date createTime;

	/**  */
	private java.util.Date updateTime;

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getId() {
		return this.id;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return this.name;
	}

	public void setCoverImg(String coverImg) {
		this.coverImg = coverImg;
	}

	public String getCoverImg() {
		return this.coverImg;
	}

	public void setDetail(String detail) {
		this.detail = detail;
	}

	public String getDetail() {
		return this.detail;
	}

	public void setTotalPrice(java.math.BigDecimal totalPrice) {
		this.totalPrice = totalPrice;
	}

	public java.math.BigDecimal getTotalPrice() {
		return this.totalPrice;
	}

	public void setDiscountPrice(java.math.BigDecimal discountPrice) {
		this.discountPrice = discountPrice;
	}

	public java.math.BigDecimal getDiscountPrice() {
		return this.discountPrice;
	}

	public Integer getPurchaseMinutes() {
		return purchaseMinutes;
	}

	public void setPurchaseMinutes(Integer purchaseMinutes) {
		this.purchaseMinutes = purchaseMinutes;
	}

	public void setGiveMinutes(Integer giveMinutes) {
		this.giveMinutes = giveMinutes;
	}

	public Integer getGiveMinutes() {
		return this.giveMinutes;
	}

	public void setStartDate(java.util.Date startDate) {
		this.startDate = startDate;
	}

	public java.util.Date getStartDate() {
		return this.startDate;
	}

	public void setEndDate(java.util.Date endDate) {
		this.endDate = endDate;
	}

	public java.util.Date getEndDate() {
		return this.endDate;
	}

	public void setCondition(String condition) {
		this.condition = condition;
	}

	public String getCondition() {
		return this.condition;
	}

	public void setDelFlag(Boolean delFlag) {
		this.delFlag = delFlag;
	}

	public Boolean getDelFlag() {
		return this.delFlag;
	}

	public void setCreateTime(java.util.Date createTime) {
		this.createTime = createTime;
	}

	public java.util.Date getCreateTime() {
		return this.createTime;
	}

	public void setUpdateTime(java.util.Date updateTime) {
		this.updateTime = updateTime;
	}

	public java.util.Date getUpdateTime() {
		return this.updateTime;
	}

	public SuitableUser getSuitableUser() {
		return suitableUser;
	}

	public void setSuitableUser(SuitableUser suitableUser) {
		this.suitableUser = suitableUser;
	}

	public String getTag() {
		return tag;
	}

	public void setTag(String tag) {
		this.tag = tag;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
